<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado    = $_SESSION['idUsuarioLogado'];

$htmlRetorno  = "";
$opcaoFiltro  = $_POST['opcaoFiltro'];



switch ($opcaoFiltro) {

  case "teto-procedimento-unidade":
    $unidadeSaude = $_POST['unidadeSaude'];
    $sqlTetoUnidade = "SELECT reg_tb_tetounidade.id_tetounidade,
    reg_tb_procedimento_grupo.id_grupo_procedimento,
    reg_tb_procedimento_grupo.nome_grupo_procedimento,
    reg_tb_procedimento.id_procedimento,
    reg_tb_procedimento.nome_procedimento,
    reg_tb_procedimento.codigo_sus,
    format(reg_tb_procedimento.valor_vigente, 2, 'de_DE') AS valorVigente,
    ucase(reg_tb_tetounidade.tipo_apuracao) AS tipoApuracao,
    reg_tb_tetounidade.quantidade_programada,
    format(reg_tb_tetounidade.valor_programado, 2, 'de_DE') AS valorProgramado
    FROM reg_tb_tetounidade
    LEFT OUTER JOIN reg_tb_procedimento ON (reg_tb_tetounidade.id_procedimento = reg_tb_procedimento.id_procedimento)
    LEFT OUTER JOIN reg_tb_procedimento_grupo ON (reg_tb_tetounidade.id_grupo_procedimento=reg_tb_procedimento_grupo.id_grupo_procedimento)
    WHERE codigoestabelecimento_cnes='$unidadeSaude' ORDER BY nome_procedimento, nome_grupo_procedimento";

    $stmTetoUnidade = $rsConexao->prepare($sqlTetoUnidade);
    $stmTetoUnidade->execute();

    if ($stmTetoUnidade->rowCount() > 0) {
      $rsTetoUnidade  = $stmTetoUnidade->fetchAll(PDO::FETCH_ASSOC);
      foreach ($rsTetoUnidade as $fieldTetoUnidade) {
        $idTetoUnidade          = $fieldTetoUnidade['id_tetounidade'];
        $nomeProcedimentoGrupo  = $fieldTetoUnidade['nome_procedimento'] != "" ? $fieldTetoUnidade['nome_procedimento'] : "GRUPO - " . $fieldTetoUnidade['nome_grupo_procedimento'];
        $codigoProcedimento     = $fieldTetoUnidade['codigo_sus'] != "" ? $fieldTetoUnidade['codigo_sus'] : "GRUPO";
        $tipoApuracao           = $fieldTetoUnidade['tipoApuracao']=="FISICO"  ? "FÍSICO" : "FINANCEIRO";
        $tipoApuracaoEditar     = mb_strtolower($fieldTetoUnidade['tipoApuracao']);
        $quantidadeValor        = $tipoApuracao=="FÍSICO" ? $fieldTetoUnidade['quantidade_programada'] : $fieldTetoUnidade['valorProgramado'];
        $idGrupoProcedimento    = $fieldTetoUnidade['id_grupo_procedimento'];
        $idProcedimento         = $fieldTetoUnidade['id_procedimento'];
        $valorVigente           = $fieldTetoUnidade['valorVigente'];
        $alinhaQuantidadeValor  = $tipoApuracao=="FÍSICO" ? "center" : "right";
        
        $linkEditarTeto   = '"editarTeto(' . "'$idTetoUnidade--$idGrupoProcedimento--$valorVigente##$idProcedimento--$tipoApuracaoEditar--$quantidadeValor')" . '"';
        $linkExcluirTeto  = '"excluirTeto(' . "'$idTetoUnidade')" . '"';

        if($codigoProcedimento=="GRUPO"){
          $linkSelProcedimentosGrupo  = '"selecionarProcedimentosTeto(' . "'$idTetoUnidade')" . '"';
          $iconeCmdSelProcedimento    = "<i class='icofont icofont-prescription nova_fonte_blue' title='Atribuir procedimentos ao grupo.'  onclick=$linkSelProcedimentosGrupo></i>";
        }else{
          $iconeCmdSelProcedimento    = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
        }
        $htmlRetorno .= "<tr>
        <td align='center'>
          $iconeCmdSelProcedimento
          <i class='icofont icofont-edit nova_fonte' title='Editar registro de teto.'  onclick=$linkEditarTeto></i>&nbsp;
          <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de teto.'  onclick=$linkExcluirTeto></i>&nbsp;
        </td>
        <td>$nomeProcedimentoGrupo</td>
        <td align='center'>$codigoProcedimento</td>
        <td>$tipoApuracao</td>
        <td align='center'>$quantidadeValor</td>
      </tr>";
      }

    } else {
      $htmlRetorno = "semRegistro";
    }
    echo $htmlRetorno;
  break;

  case "teto-procedimento-grupo":
  $unidadeSaude = $_POST['unidadeSaude'];
}

?>